<?php

namespace Drupal\syncart_order_status\Hook;

/**
 * @file
 * Contains \Drupal\syncart_order_status\Hook\OrderPresave.
 */

/**
 * Hook order Presave.
 */
class OrderPresave {

  /**
   * Hook.
   */
  public static function hook($entity) {
    if ($entity->state->value == "completed" && $entity->field_status->target_id == '') {
      $state_id = \Drupal::service('syncart_order_status.order')->getStatusIdByName('Готовится');
      $entity->set('field_status', $state_id);
    }
  }
}
